#ifdef __cplusplus
extern "C" {
#endif

#ifndef _Treecopy_Header
#define _Treecopy_Header
void treecopy_setown(int uid, int gid);
void treecopy_callbk(void (*fn)(char *, void *), void *pcb);
int treecopy(char *src, char *dst, int overwrite, char *reason);
int tree_chown(char *dir);
int tree_chown_real(char *dir, char *wild);
int treecopy_wcb(char *wild, char *dst, int overwrite, char *reason,int  (*treecopy_cb)(char *, void *), void *treecopy_pcb);
#endif

#ifdef __cplusplus
}
#endif
